Package org.gradle.testing.base.plugins

# Class TestingBasePlugin

java.lang.Object
org.gradle.testing.base.plugins.TestingBasePlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class TestingBasePlugin extends Object implements Plugin<Project>
Base plugin for testing. - Adds default locations for test reporting

Since:
  4.4

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TEST_RESULTS_DIR_NAME`
  `static final String`
  `TESTS_DIR_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestingBasePlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TEST_RESULTS_DIR_NAME

    public static final String TEST_RESULTS_DIR_NAME
    See Also:
      - Constant Field Values

  - ### TESTS_DIR_NAME

    public static final String TESTS_DIR_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TestingBasePlugin

    public TestingBasePlugin()

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object